unit RIPEdit;

interface

uses
 Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,ComCtrls, CommCtrl,
 StdCtrls;

type
 TIPEdit = class(TEdit)
 private
   { Private declarations }
 protected
   procedure CreateParams(var Params: TCreateParams); override;
 public
   { Public declarations }
 published
   { Published declarations }
 end;

procedure Register;

implementation

procedure Register;
begin
 RegisterComponents('Additional', [TIPEdit]);
end;

{ TIPAddressEdit }

procedure TIPEdit.CreateParams(var Params: TCreateParams);
begin
 inherited CreateParams(Params);
 InitCommonControl(ICC_INTERNET_CLASSES);
 CreateSubClass(Params, WC_IPADDRESS);
end;

end.  
